<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celtool/celtoolextern.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celtool/celtoolextern.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Copyright (C) 2004 by Jorrit Tyberghein</span>
<a name="l00003"></a>00003 <span class="comment">    Written by John Harger &lt;jharger AT users.sourceforge.net&gt;</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CELTOOL_CELTOOLEXTERN_H__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CELTOOL_CELTOOLEXTERN_H__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html">cssysdef.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;celplatform.h&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#if defined(CS_PLATFORM_WIN32)</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">  #if defined(CEL_BUILD_SHARED_LIBS)</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_EXPORT_SYM CS_EXPORT_SYM_DLL</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_IMPORT_SYM CS_IMPORT_SYM_DLL</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">  #else</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_EXPORT_SYM</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_IMPORT_SYM</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span><span class="preprocessor">  #endif // CEL_BUILD_SHARED_LIBS</span>
<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00035"></a>00035 <span class="preprocessor"></span><span class="preprocessor">  #if defined(CEL_BUILD_SHARED_LIBS)</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_EXPORT_SYM CS_VISIBILITY_DEFAULT</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">  #else</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor">    #define CEL_EXPORT_SYM</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor">  #endif</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">  #define CEL_IMPORT_SYM</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span>
<a name="l00043"></a>00043 <span class="preprocessor">#ifdef CEL_CELTOOL_LIB</span>
<a name="l00044"></a>00044 <span class="preprocessor"></span><span class="preprocessor">  #define CEL_CELTOOL_EXPORT CEL_EXPORT_SYM</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00046"></a>00046 <span class="preprocessor"></span><span class="preprocessor">  #define CEL_CELTOOL_EXPORT CEL_IMPORT_SYM</span>
<a name="l00047"></a>00047 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span>
<a name="l00049"></a>00049 <span class="preprocessor">#endif // __CELTOOL_CELTOOLEXTERN_H__</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
